# $Revision: 1.5 $, $Date: 2004/04/26 18:24:32 $
Summary:	A Linux PXE (Preboot eXecution Environment) package
Summary(pl):	Implementacja PXE (Preboot eXecution Environment) dla Linuksa
Name:		pxe
Group:		Networking/Daemons
Version:	1.4.1
Release:	3
License:	GPL
Source0:	http://www.kano.org.uk/projects/pxe/%{name}-%{version}.tar.gz
# Source0-md5:	f438ee1e394540340c00aaa035aecf0b
Source1: 	%{name}.init
Source2: 	%{name}.sysconfig
Patch0:		%{name}-lockfile.patch
URL:		http://www.kano.org.uk/projects/pxe/
BuildRequires:	libstdc++-devel
Provides:	pxeserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pxe package contains the PXE (Preboot eXecution Environment)
server.

%description -l pl
Pakiet pxe zawiera serwer PXE (Preboot eXecution Environment).

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-log=/var/log/pxe.log \
	--with-lockfile=/var/run/pxe.pid \
	--with-setuid=daemon
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{rc.d/init.d,sysconfig}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pxe
if [ -f /var/lock/subsys/pxe ]; then
	/etc/rc.d/init.d/pxe restart >&2
else
	echo "Run \"/etc/rc.d/init.d/pxe start\" to start pxe daemon."
fi

%preun
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/pxe ]; then
		/etc/rc.d/init.d/pxe stop >&2
	fi
	/sbin/chkconfig --del pxe
fi

%files
%defattr(644,root,root,755)
%doc README LICENCE INSTALL Changes
%attr(755,root,root) %{_sbindir}/pxe
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/pxe.conf
%attr(754,root,root) /etc/rc.d/init.d/pxe
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/pxe

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pxe.spec,v $
Revision 1.5  2004/04/26 18:24:32  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.4  2004/03/18 20:59:00  ankry
- rel. 1 for Ra

Revision 1.3  2004/03/18 20:51:59  qboosh
- cleanups

Revision 1.2  2004/03/18 13:51:27  undefine
- release 2 for AC

Revision 1.1  2004/03/17 18:43:19  undefine
- initital version, almost raw, partialy based on mdk spec
